> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List location assignations

> Returns the assignations of the locations of the authenticated company, ordered by `entityType` by default.



## OpenAPI

````yaml GET /core/v3/location-assignations
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /core/v3/location-assignations:
    get:
      tags:
        - Location Assignations
      summary: List location assignations
      description: >-
        Returns the assignations of the locations of the authenticated company,
        ordered by `entityType` by default.
      operationId: ListLocationAssignations
      parameters:
        - in: query
          name: locationId
          description: Only assignations of this location
          schema:
            type: string
            format: uuid
        - in: query
          name: entityType
          description: Only assignations to this kind of entity
          schema:
            type: string
            enum:
              - office
              - department
              - entity_group
        - in: query
          name: entityId
          description: Only assignations to this entity
          schema:
            type: string
            format: uuid
        - in: query
          name: page
          description: Page number
          schema:
            type: integer
            default: 1
            minimum: 1
        - in: query
          name: limit
          description: Items per page
          schema:
            type: integer
            default: 20
            minimum: 1
        - in: query
          name: orderBy
          description: >-
            Sort field and direction. Allowed fields: `entityType`, `entityId`
            (e.g. `entityId desc`)
          schema:
            type: string
            example: entityType asc
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      description: >-
                        An assignation of a location of the authenticated
                        company to an office, department or entity group.
                      properties:
                        id:
                          type: string
                          format: uuid
                        locationId:
                          type: string
                          format: uuid
                        entityReference:
                          type: object
                          required:
                            - type
                            - id
                          properties:
                            type:
                              type: string
                              enum:
                                - office
                                - department
                                - entity_group
                              example: office
                            id:
                              type: string
                              format: uuid
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
        '401':
          description: Unauthorized - Invalid or missing API Key
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message indicating authentication failure
                    example: Invalid or missing API Key
                  code:
                    type: string
                    description: Error code for programmatic handling
                    example: UNAUTHORIZED
              example:
                message: Invalid or missing API Key
                code: UNAUTHORIZED
        '429':
          description: Too Many Requests - Rate limit exceeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message indicating rate limit exceeded
                    example: Rate limit exceeded. Please try again later.
                  code:
                    type: string
                    description: Error code for programmatic handling
                    example: RATE_LIMIT_EXCEEDED
                  retryAfter:
                    type: integer
                    description: Number of seconds to wait before retrying
                    example: 60
              example:
                message: Rate limit exceeded. Please try again later.
                code: RATE_LIMIT_EXCEEDED
                retryAfter: 60
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````